Page 116 of 166 FirstFirst ... 1666106114115116117118126 ... LastLast
Results 1,151 to 1,160 of 1659

Thread: Howto Install 32 bit Firefox with Flash w/sound and Java for AMD64

  1. #1151
    Join Date
    Mar 2006
    Location
    cyberspace
    Beans
    6,198
    Distro
    Ubuntu 11.10 Oneiric Ocelot

    Re: Howto Install 32 bit Firefox with Flash w/sound and Java for AMD64

    I have just uploaded the newest script , firefox 2.0.0.8 and Swiftweasel 2.0.0.8. Those that are running 2.0.0.7 are urged to upgrade as there is a ton of fixes in 2.0.0.8.
    I trust Microsoft as far as I could comfortably spit a dead rat

    I'm in my third year at a Lutheran seminary!

  2. #1152
    Rui Pais's Avatar
    Rui Pais is offline Chocolate-Covered Ubuntu Beans
    Join Date
    Oct 2004
    Beans
    2,324

    Re: Howto Install 32 bit Firefox with Flash w/sound and Java for AMD64

    Quote Originally Posted by Kilz View Post
    I have just uploaded the newest script , firefox 2.0.0.8 and Swiftweasel 2.0.0.8. Those that are running 2.0.0.7 are urged to upgrade as there is a ton of fixes in 2.0.0.8.
    Hi,
    a few problems.
    I had to manually install swiftweasel, because for some reason it downloads but dpkg failed complaining about inexistent directory of swiftweasel32.

    Then script output the failure of linux32 deb package. Thats a conflicting one under Gutsy, and to install it it requires the removal of the essential util-linux.

    Theres a minor typo on line 45: "Install option (1-3)?" should be now "Install option (1-4)?"
    ___________________________________
    ESTRAGON: We've lost our rights?

  3. #1153
    Rui Pais's Avatar
    Rui Pais is offline Chocolate-Covered Ubuntu Beans
    Join Date
    Oct 2004
    Beans
    2,324

    Re: Howto Install 32 bit Firefox with Flash w/sound and Java for AMD64

    Quote Originally Posted by Rui Pais View Post
    Hi,
    a few problems.
    I had to manually install swiftweasel, because for some reason it downloads but dpkg failed complaining about inexistent directory of swiftweasel32.

    Then script output the failure of linux32 deb package. Thats a conflicting one under Gutsy, and to install it it requires the removal of the essential util-linux.

    Theres a minor typo on line 45: "Install option (1-3)?" should be now "Install option (1-4)?"


    EDIT: Another bug:
    swintel and swamd variables are defined as ...ubuntu_6.04-7.04_AMD64.deb
    and after choose Gutsy that's not changed! But script at Gutsy downloads the correct version, but then the dpkg command fails because it uses the wrong defined variable.

    (sorry about the double post, i press quote button instead of edit, and only after committed i realized that)


    Here a patch for make it compatible with Gutsy:
    Code:
    45c45
    <  echo -n "Install option (1-3)? : "
    ---
    >  echo -n "Install option (1-4)? : "
    721a722
    > swintel=swiftweasel32-2.0.0.8_nocona-32bit_ubuntu-AMD64.deb
    730a732
    > swamd=swiftweasel32-2.0.0.8_athlon64-32bit_ubuntu-AMD64.deb
    780,781c782,783
    < sudo wget -c http://mirrors.kernel.org/ubuntu/pool/main/l/linux32/linux32_1-3_amd64.deb
    < sudo dpkg -i /tmp/ff32/linux32_1-3_amd64.deb
    ---
    > #sudo wget -c http://mirrors.kernel.org/ubuntu/pool/main/l/linux32/linux32_1-3_amd64.deb
    > #sudo dpkg -i /tmp/ff32/linux32_1-3_amd64.deb
    Last edited by Rui Pais; October 26th, 2007 at 11:56 PM.
    ___________________________________
    ESTRAGON: We've lost our rights?

  4. #1154
    Join Date
    Mar 2007
    Beans
    3

    Re: Howto Install 32 bit Firefox with Flash w/sound and Java for AMD64

    I have upgraded from Festy Fawn 7.04 to Gitsy Gibbon 7.10 and had to install the latest browser script again and now I can't get the mplayer to work. It buffer/download the video. When that happens there is just a gray picture with the mozilla-firefox mplayer plugin logo and the text stopped on it.

    Is there anyway I can fix this?


    The browserscriptversion i used is: ff32-3in1-6.1.tar.gz

    the output from my ls -al /usr/lib32/firefox32/plugins is:

    ls -al /usr/lib32/firefox32/plugins
    total 14152
    drwxr-xr-x 2 malin users 4096 2007-10-28 13:24 .
    drwxr-xr-x 4 malin users 4096 2007-10-28 13:19 ..
    -r--r--r-- 1 1003 users 856 2007-06-20 02:31 flashplayer.xpt
    -rwxr-xr-x 1 1003 users 8098568 2007-09-27 10:41 libflashplayer.so
    lrwxrwxrwx 1 root root 78 2007-10-28 13:24 libjavaplugin_oji.so -> /usr/lib/jvm/ia32-java-6-sun-1.6.0.03/jre/plugin/i386/ns7/libjavaplugin_oji.so
    -rw-r--r-- 1 malin malin 92448 2006-09-19 15:39 libnpp.so
    -rwxr-xr-x 1 malin malin 19496 2006-09-10 04:41 libnullplugin.so
    -rw-r--r-- 1 root root 282528 2007-10-28 13:24 mplayerplug-in-dvx.so
    -rw-r--r-- 1 root root 1021 2007-10-28 13:24 mplayerplug-in-dvx.xpt
    -rw-r--r-- 1 root root 282720 2007-10-28 13:24 mplayerplug-in-qt.so
    -rw-r--r-- 1 root root 1021 2007-10-28 13:24 mplayerplug-in-qt.xpt
    -rw-r--r-- 1 root root 282784 2007-10-28 13:24 mplayerplug-in-rm.so
    -rw-r--r-- 1 root root 1021 2007-10-28 13:24 mplayerplug-in-rm.xpt
    -rw-r--r-- 1 root root 285084 2007-10-28 13:24 mplayerplug-in.so
    -rw-r--r-- 1 root root 283040 2007-10-28 13:24 mplayerplug-in-wmp.so
    -rw-r--r-- 1 root root 1021 2007-10-28 13:24 mplayerplug-in-wmp.xpt
    -rw-r--r-- 1 root root 1021 2007-10-28 13:24 mplayerplug-in.xpt
    -rw-r--r-- 1 malin users 4759307 2007-01-05 20:56 nppdf.so
    and from /ls -al /usr/lib/mozilla/plugins is:

    ls -al /usr/lib/mozilla/plugins
    total 8
    drwxr-xr-x 2 root root 4096 2007-10-28 02:47 .
    drwxr-xr-x 3 root root 4096 2007-04-18 05:26 ..
    lrwxrwxrwx 1 root root 50 2007-09-06 19:55 nppdf.so -> ../../Adobe/Acrobat7.0/Browser/intellinux/nppdf.so
    Last edited by malinkb; October 28th, 2007 at 04:06 PM. Reason: ls -al /usr/lib/mozilla/plugins total 8 drwxr-xr-x 2 root root 4096 2007-10-28 02:47 . drwxr-xr-x 3 root root 4096 2007-04-18

  5. #1155
    Join Date
    Aug 2006
    Beans
    417
    Distro
    Ubuntu 13.04 Raring Ringtail

    Re: Howto Install 32 bit Firefox with Flash w/sound and Java for AMD64

    I ran the new script in Gutsy, should I be concerned about this error?

    Code:
    Selecting previously deselected package linux32.
    dpkg: regarding .../tmp/ff32/linux32_1-3_amd64.deb containing linux32:
     util-linux conflicts with linux32
      linux32 (version 1-3) is to be installed.
    dpkg: error processing /tmp/ff32/linux32_1-3_amd64.deb (--install):
     conflicting packages - not installing linux32
    Errors were encountered while processing:
     /tmp/ff32/linux32_1-3_amd64.deb
    Yup, something's wrong, neither Firefox nor Swiftweasel will install. Both are missing "ia32-libs-gtk" - that package is no longer included, supported or even available for Gutsy.
    Last edited by Fraoch; October 28th, 2007 at 04:07 PM.

  6. #1156
    Rui Pais's Avatar
    Rui Pais is offline Chocolate-Covered Ubuntu Beans
    Join Date
    Oct 2004
    Beans
    2,324

    Re: Howto Install 32 bit Firefox with Flash w/sound and Java for AMD64

    Quote Originally Posted by Fraoch View Post
    I ran the new script in Gutsy, should I be concerned about this error?

    Code:
    Selecting previously deselected package linux32.
    dpkg: regarding .../tmp/ff32/linux32_1-3_amd64.deb containing linux32:
     util-linux conflicts with linux32
      linux32 (version 1-3) is to be installed.
    dpkg: error processing /tmp/ff32/linux32_1-3_amd64.deb (--install):
     conflicting packages - not installing linux32
    Errors were encountered while processing:
     /tmp/ff32/linux32_1-3_amd64.deb
    Don't try to install that package under Gutsy. It conflicts with util-linux (that already contains linux32). Note that util-linux it's an 'Essential' package. You will broke yor system if you remove or replace. See my comments on bugs to the script on Gutsy 2 posts above.
    Kilz needs to update his script.
    ___________________________________
    ESTRAGON: We've lost our rights?

  7. #1157
    Join Date
    Mar 2006
    Location
    cyberspace
    Beans
    6,198
    Distro
    Ubuntu 11.10 Oneiric Ocelot

    Re: Howto Install 32 bit Firefox with Flash w/sound and Java for AMD64

    Im working on it.
    I trust Microsoft as far as I could comfortably spit a dead rat

    I'm in my third year at a Lutheran seminary!

  8. #1158
    Join Date
    Aug 2006
    Beans
    417
    Distro
    Ubuntu 13.04 Raring Ringtail

    Re: Howto Install 32 bit Firefox with Flash w/sound and Java for AMD64

    Thanks Kilz!

  9. #1159
    Rui Pais's Avatar
    Rui Pais is offline Chocolate-Covered Ubuntu Beans
    Join Date
    Oct 2004
    Beans
    2,324

    Re: Howto Install 32 bit Firefox with Flash w/sound and Java for AMD64

    yep, thanks Kilz.

    I definitely give up 64b flash on gutsy. To unstable. It crashes at least twice a day, leaving a black ghost mini window when close browser...

    Theres seems to be a naughty bug too on swiftweasel 2.0.0.8.
    Only installer user can run it. Any other user, on sudoers list or not, can't launch it, unless they run with sudo

    I spend part of the afternoon trying to catch this one... the file run-mozilla.sh has incorrect mod (at least different from 2.0.0.7) and seems to be a problem with one of the .so files (on path but not detected by swiftwesel32...)
    ___________________________________
    ESTRAGON: We've lost our rights?

  10. #1160
    Join Date
    Oct 2007
    Location
    wrong planet
    Beans
    746
    Distro
    Ubuntu 9.10 Karmic Koala

    Re: Howto Install 32 bit Firefox with Flash w/sound and Java for AMD64

    Quote Originally Posted by Kilz View Post
    Java
    We will be installing Sun's Java. The only version we have to use is Java 6. I personaly dont like java 6 as it seems buggy to me. But if you must, here is how to install it. Be aware that I will not be offering support for java 6 installs at this time.
    First we need to get Java On that page download the "Linux (self-extracting file)" package. You do not want the 64 bit package. You may have to edit the commands below if the file name has changed.
    First, If you are upgrading an already existing install
    Code:
    sudo rm -rfd /usr/lib32/java32
    Then you can start the install.
    Code:
    cd ~/Desktop
    sudo bash
    chmod 777 ./jre-6u2-linux-i586.bin
    ./jre-6u2-linux-i586.bin
    You will have to agree to the EULA, then it will extract to your desktop.
    We will now install it
    Code:
    mkdir /usr/local/java32
    cp -r -p ./jre1.6.0_02/* /usr/local/java32
    cd /usr/lib32/firefox32/plugins/
    ln -s /usr/local/java32/plugin/i386/ns7/libjavaplugin_oji.so ./
    Restart Firefox and go HERE to test Java.
    If your browser locks up/crashes verifying this will fix it. Change <username> to your username.
    Code:
     sudo chown -R <username>:users /home/<username>/.java
    sudo chown -R <username>:users /usr/lib32/firefox32/plugins/
    Is this needed? Can the ia32-sun-java6-bin or sun-java6-jre be used intead?
    Linux Advanced Guides and News!
    http://linuxinnovations.blogspot.com/

    Green means go, Yellow means faster, Red means don't stop.

Page 116 of 166 FirstFirst ... 1666106114115116117118126 ... LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •